# 고유 카탈로그 혜택 코드 생성

고유 카탈로그 혜택 코드를 생성합니다.

Endpoint: PUT /v2/project/{project_id}/admin/unique_catalog_offer/{external_id}/code/generate
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `external_id` (integer, required)
    프로모션 외부 ID입니다. 프로젝트 내부의 고유 프로모션 식별자입니다.
    Example: "coupon_44056_1"

## Request fields (application/json):

  - `count` (integer, required)

## Response 200 fields (application/json):

  - `count` (integer)

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-9802]: Promocode not found"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


